> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/mutations/update-order.md).

# updateOrder

### Arguments

| Argument                                                                              | Description                |
| ------------------------------------------------------------------------------------- | -------------------------- |
| input ([UpdateOrderInput](/graphql-api/api-reference/objects/update-order-input.md)!) | Parameters for UpdateOrder |

### UpdateOrderInput Arguments

| Argument                                                                   | Description                                                                                                                                                                                                    |
| -------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| metadata ([JSON](/graphql-api/api-reference/objects/json.md))              | Metadata that can be used by developers to store additional information on objects.                                                                                                                            |
| id ([ID](/graphql-api/api-reference/objects/id.md)!)                       | ID of the order to update.                                                                                                                                                                                     |
| status ([OrderStatus](/graphql-api/api-reference/objects/order-status.md)) | Order status.                                                                                                                                                                                                  |
| fulfilledAt ([String](/graphql-api/api-reference/objects/string.md))       | The timestamp of when the order was fulfilled. Pass an empty string to clear existing timestamp.                                                                                                               |
| trackingCode ([String](/graphql-api/api-reference/objects/string.md))      | Tracking code for the order that can be included in an email. Please note: tracking email will not get sent. Use FulfillOrder mutation if you also want to send out tracking email with the new tracking code. |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### order ([Order](/graphql-api/api-reference/objects/order.md))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/update-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
